using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ObstacleHitReceiver : MonoBehaviour
{
    private void OnCollisionEnter(Collision collision)
    {
        Debug.Log("Collided with: " + collision.gameObject.name);
        if (collision.gameObject.layer == LayerMask.NameToLayer("Player"))
        {
            UIManager.instance.player.Health -= Random.Range(1,5);
            UIManager.instance.UpdateHealth();
        }
    }
}
